Package org.apache.lucene.queries.payloads

## Class MinPayloadFunction

- java.lang.Object
- - org.apache.lucene.queries.payloads.PayloadFunction
  - - org.apache.lucene.queries.payloads.MinPayloadFunction

-     public class MinPayloadFunction
      extends PayloadFunction

  Calculates the minimum payload seen

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MinPayloadFunction()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float` | `currentScore​(int docId, String field, int start, int end, int numPayloadsSeen, float currentScore, float currentPayloadScore)` | Calculate the score up to this point for this doc and field
    `float` | `docScore​(int docId, String field, int numPayloadsSeen, float payloadScore)` | Calculate the final score for all the payloads seen so far for this doc/field
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class org.apache.lucene.queries.payloads.PayloadFunction

      `explain`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinPayloadFunction

          public MinPayloadFunction()

  - ### Method Detail

    - #### currentScore

          public float currentScore​(int docId,
                                    String field,
                                    int start,
                                    int end,
                                    int numPayloadsSeen,
                                    float currentScore,
                                    float currentPayloadScore)

      Description copied from class: `PayloadFunction`
      Calculate the score up to this point for this doc and field
      Specified by:
        `currentScore` in class `PayloadFunction`
      Parameters:
        `docId` - The current doc
        `field` - The field
        `start` - The start position of the matching Span
        `end` - The end position of the matching Span
        `numPayloadsSeen` - The number of payloads seen so far
        `currentScore` - The current score so far
        `currentPayloadScore` - The score for the current payload
      Returns:
        The new current Score
      See Also:
        `Spans`

    - #### docScore

          public float docScore​(int docId,
                                String field,
                                int numPayloadsSeen,
                                float payloadScore)

      Description copied from class: `PayloadFunction`
      Calculate the final score for all the payloads seen so far for this doc/field
      Specified by:
        `docScore` in class `PayloadFunction`
      Parameters:
        `docId` - The current doc
        `field` - The current field
        `numPayloadsSeen` - The total number of payloads seen on this document
        `payloadScore` - The raw score for those payloads
      Returns:
        The final score for the payloads

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `PayloadFunction`

    - #### equals

          public boolean equals​(Object obj)

      Specified by:
        `equals` in class `PayloadFunction`